System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.HttpSimpleClientProtocol

When an XML Web service client uses the HTTP-GET protocol, parameters are encoded within the URL and the response is returned in plain XML.

If you are building an XML Web service client using ASP.NET, then a proxy class deriving indirectly or directly from needs to be created for the XML Web service you want to call. When the XML Web service client calls the XML Web service using HTTP, derive the proxy class from , which in turn derives from .

and derive from , providing the support for calling an XML Web service method using the HTTP-GET and HTTP-POST protocols respectively. Clients calling an XML Web service using SOAP should derive from .

For details on building a proxy class, see [<topic://cpconcreatingwebserviceproxy>].

The base class for XML Web service client proxies that use the HTTP-GET protocol.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Net.WebRequest ``

  This method overrides the base version of to specify that the HTTP request to the XML Web service is made using HTTP-GET. By overriding this method, additional customizations can be made to the object before the XML Web service request is made. For example you could add a custom header to the request.

  Creates a instance for the specified URI.

  The instance.

  The to use when creating the . 1.0.5000.0 2.0.0.0